summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Gianelloni <wolf31o2@gentoo.org>2006-08-21 21:43:06 +0000
committerChris Gianelloni <wolf31o2@gentoo.org>2006-08-21 21:43:06 +0000
commit26d2961f6c67a6b32b3655b4398dc8665ffdbdd7 (patch)
tree0ec4d9214d9d47031c30c138b500ea4aebd494e1 /sys-apps/gli/files
parentRemoving older 0.3.x versions and supporting files. (diff)
downloadgentoo-2-26d2961f6c67a6b32b3655b4398dc8665ffdbdd7.tar.gz
gentoo-2-26d2961f6c67a6b32b3655b4398dc8665ffdbdd7.tar.bz2
gentoo-2-26d2961f6c67a6b32b3655b4398dc8665ffdbdd7.zip
Removing older 0.3.x versions and supporting files.
(Portage version: 2.1.1_pre5-r1) (Signed Manifest commit)
Diffstat (limited to 'sys-apps/gli/files')
-rw-r--r--sys-apps/gli/files/digest-gli-0.33
-rw-r--r--sys-apps/gli/files/digest-gli-0.3.13
-rw-r--r--sys-apps/gli/files/digest-gli-0.3.23
-rwxr-xr-xsys-apps/gli/files/installer139
-rwxr-xr-xsys-apps/gli/files/installer-dialog8
-rwxr-xr-xsys-apps/gli/files/installer-gtk9
6 files changed, 0 insertions, 165 deletions
diff --git a/sys-apps/gli/files/digest-gli-0.3 b/sys-apps/gli/files/digest-gli-0.3
deleted file mode 100644
index 8b93bb5b3d02..000000000000
--- a/sys-apps/gli/files/digest-gli-0.3
+++ /dev/null
@@ -1,3 +0,0 @@
-MD5 44040a7779cd29fcd98ea74fbbbf7969 installer-0.3.tar.bz2 790095
-RMD160 bc290dd394c850b1d4658712dd3cf4341353ab80 installer-0.3.tar.bz2 790095
-SHA256 9c07bb79b4ebaf290a704cd21a605cae203eed875f672f36ef3ed103f8b05e7e installer-0.3.tar.bz2 790095
diff --git a/sys-apps/gli/files/digest-gli-0.3.1 b/sys-apps/gli/files/digest-gli-0.3.1
deleted file mode 100644
index 733e9442fa7c..000000000000
--- a/sys-apps/gli/files/digest-gli-0.3.1
+++ /dev/null
@@ -1,3 +0,0 @@
-MD5 4d420be09bac0ad1b23afd8f0e01a903 installer-0.3.1.tar.bz2 792577
-RMD160 110c9b1373ad024e1d18306c88de9432655d0835 installer-0.3.1.tar.bz2 792577
-SHA256 dbc853aa136447b0d3d66b1251a17beec23ea95f1b1aabb506c92768d01aa384 installer-0.3.1.tar.bz2 792577
diff --git a/sys-apps/gli/files/digest-gli-0.3.2 b/sys-apps/gli/files/digest-gli-0.3.2
deleted file mode 100644
index 3f4c4b5dd6e1..000000000000
--- a/sys-apps/gli/files/digest-gli-0.3.2
+++ /dev/null
@@ -1,3 +0,0 @@
-MD5 d5ed79473708138cf7d453966c020ecb installer-0.3.2.tar.bz2 792702
-RMD160 16f8bf621eaa1910682bcea9d4af5ba65375e4be installer-0.3.2.tar.bz2 792702
-SHA256 a5f8e765999d230a133af848181fb4c90376c038e77cabd70a0e28a02dceff7f installer-0.3.2.tar.bz2 792702
diff --git a/sys-apps/gli/files/installer b/sys-apps/gli/files/installer
deleted file mode 100755
index be4f438fade8..000000000000
--- a/sys-apps/gli/files/installer
+++ /dev/null
@@ -1,139 +0,0 @@
-#!/bin/bash
-#
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/gli/files/installer,v 1.2 2006/08/21 21:38:58 wolf31o2 Exp $
-#
-# This is the installer script that we will use to determine whether or not
-# we are running in X or as root. A good portion of this script was ripped
-# from the loki_setup setup.sh script, as it already did most of what I was
-# looking to do.
-
-installer_root=/opt/installer
-
-# Allow X
-xhost +localhost 2>/dev/null
-
-# Go to the proper setup directory
-cd ${installer_root}/bin
-
-# we call installer with -auth when ran through su/xsu/sudo
-auth=0
-if [ "${1}" == "-auth" ]
-then
- auth=1
- shift
-fi
-
-# TODO: make this actually work
-# we see if we were called with a specific front-end
-#launch=
-#if [ "${1}" == "gtk" ]
-#then
-# launch=gtk
-# shift
-#elif [ "${1}" == "dialog" ]
-#then
-# launch=dialog
-# shift
-#fi
-
-# Find the installation program
-# try_run INSTALLER_NAME [PARAMETERS_PASSED]
-# INSTALLER_NAME: installer-gtk or installer-dialog
-# PARAMETERS_PASSED: additional arguments passed to the setup script
-try_run() {
- setup=${1}
- shift
-
- failed=0
- "${setup}" "${@}" 2>/dev/null
- failed="${?}"
- return "${failed}"
-}
-
-if [ "${auth}" -eq 0 ]
-then
- GOT_ROOT=$(id -u)
- if [ "${GOT_ROOT}" != "0" ]
- then
- # first we try sudo
- try_run /usr/bin/sudo env DISPLAY=":0.0" su -c "${installer_root}/bin/installer -auth ${launch}"
- status="${?}"
- if [ "${status}" -eq 0 ]
- then
- exit 0
- elif [ "${status}" -eq 1 ]
- then
- try_run /usr/bin/gnomesu -u root -c "sh ${installer_root}/bin/installer -auth ${launch}"
- status="$?"
- # If try_run successfully executed gnomesu, it will return
- # gnomesu's exit code.
- if [ "${status}" -eq 0 ]
- then
- exit 0
- elif [ "${status}" -eq 1 ]
- then
- try_run /usr/bin/xsu -e -a -u root -c "sh ${installer_root}/bin/installer -auth ${launch}"
- status="${?}"
- # xsu returns 2 if ran and cancelled (i.e. the user 'doesn't
- # want' to auth). it will return 0 if the command was executed
- # correctly
- # summing up, if we get 1, something failed
- if [ "${status}" -eq 0 ]
- then
- exit 0
- elif [ "${status}" -eq 1 ]
- then
- # xsu wasn't found, or failed to run
- # if xsu actually ran and the auth was cancelled,
- # $status is 2
- echo "You need to run this installation as the super user."
- echo "Please enter the root password."
- try_run /bin/su root -c "export DISPLAY=${DISPLAY};sh ${installer_root}/bin/installer -auth ${launch}"
- status="${?}"
- if [ "${status}" -eq 0 ]
- then
- # the auth command was properly executed
- exit 0
- else
- exit 1
- fi
- elif [ "${status}" -eq 3 ]
- then
- # the auth failed or was canceled
- # we don't want to even start the setup if not root
- echo "Please run this installation as the super user"
- exit 1
- fi
- elif [ "${status}" -eq 3 ]
- then
- echo "Please run this installation as the super user"
- exit 1
- fi
- fi
- fi
-fi
-
-#if [ -z "${launch}" ]
-#then
- # Try to run the gtk installer
- try_run /usr/bin/installer-gtk ${*}
- status=${?}
- if [ ${status} -eq 1 ]
- then
- try_run /usr/bin/installer-dialog ${*} || {
- if [ ${status} -ne 2 ]
- then
- echo "The setup program seems to have failed"
- fi
- status=1
- }
- fi
-#else
- # Try to run the installer script asked for when launched
-# try_run /usr/bin/installer-${launch} ${*} || {
-# echo "The setup program seems to have failed"
-# status=1
-# }
-#fi
-
-exit ${status}
diff --git a/sys-apps/gli/files/installer-dialog b/sys-apps/gli/files/installer-dialog
deleted file mode 100755
index e6bbc7d3f433..000000000000
--- a/sys-apps/gli/files/installer-dialog
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/bin/bash
-
-INSTALL_DIR=/opt/installer
-export PYTHONPATH="${INSTALL_DIR}"
-
-cd ${INSTALL_DIR}/fe/dialog
-./gli-dialog.py
-
diff --git a/sys-apps/gli/files/installer-gtk b/sys-apps/gli/files/installer-gtk
deleted file mode 100755
index 8c1ce2512c8d..000000000000
--- a/sys-apps/gli/files/installer-gtk
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/bash
-
-INSTALL_DIR=/opt/installer
-export PYTHONPATH="${INSTALL_DIR}"
-
-cd ${INSTALL_DIR}/fe/gtk
-./gtkfe.py
-
-